#
# spec file for package python-networking-generic-switch
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-networking-generic-switch
Version:        1.4.0~dev2
Release:        1.1
Summary:        Generic Switch ML2 Neutron Driver
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/networking-generic-switch
Source0:        networking-generic-switch-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-macros
BuildRequires:  openstack-neutron
BuildRequires:  python-netmiko
BuildRequires:  python-neutron-lib
BuildRequires:  python-oslo.config
BuildRequires:  python2-oslo.db
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python2-oslo.middleware
BuildRequires:  python-oslotest
BuildRequires:  python-six
BuildRequires:  python-stestr
BuildRequires:  python-stevedore
BuildRequires:  python-tenacity
BuildRequires:  python-testresources
BuildRequires:  python-testtools
BuildRequires:  python-tooz
Requires:       openstack-neutron
Requires:       python-netmiko
Requires:       python-oslo.config
Requires:       python2-oslo.db
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python2-oslo.middleware
Requires:       python-six
Requires:       python-stevedore
Requires:       python-tenacity
Requires:       python-tooz
BuildArch:      noarch

%description
This is a Modular Layer 2 `Neutron Mechanism driver
<https://wiki.openstack.org/wiki/Neutron/ML2>`_. The mechanism driver is
responsible for applying configuration information to hardware equipment.
``GenericSwitch`` provides a pluggable framework to implement
functionality required for use-cases like OpenStack Ironic multi-tenancy mode.
It abstracts applying changes to all switches managed by this ML2 plugin
and handling ``local_link_information`` field of Neutron port.

%package doc
Summary:        Generic Switch ML2 Neutron Driver Doc
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx

%description doc
Documentation for OpenStack Generic Switch ML2 Neutron Driver.

%prep
%autosetup -p1 -n networking-generic-switch-1.4.0.dev2
%py_req_cleanup

%build
%{py2_build}

PBR_VERSION=1.4.0.dev2 sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{py2_install}
%fdupes %{buildroot}%{python2_sitelib}

%check
%{__python2} -m stestr.cli run

%files -n python-networking-generic-switch
%license LICENSE
%doc README.rst
%{python2_sitelib}/networking_generic_switch
%{python2_sitelib}/networking_generic_switch*egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
